# tumbledemerald

## Description
tumbledemerald is a hack based on the [decompilation](https://github.com/pret/pokeemerald) of Pokémon Emerald by pret. The project's aim is to modify Pokémon Emerald to bring it up to the standards of modern Pokémon titles.


[<img src="https://img.shields.io/badge/Gitpod-Open%20workspace-orange.svg?logo=GITPOD&style=for-the-badge">](https://gitpod.io/#gitgud.io/tbld/game.git)  [<img src="https://img.shields.io/badge/Mastodon-gray.svg?logo=MASTODON&style=for-the-badge">](https://social.linux.pizza/@sataa)

## Installation
Compiling tumbledemerald requires a Linux-based system with the following packages installed:

- make (or GNU make, if you have access to it specifically.)
- gcc
- g++
- git
- GNU arm-none-eabi binutils

(Bonus points for getting it to work with Clang, cmake, and non-GNU binutils, because rms gives me a headache.)

Run this command to compile `agbcc`, pret's toolchain:
```bash
cd <path to tumbledemerald>/agbcc && ./build.sh && ./install.sh ../
```
Then just run `make` in the root folder of the repository.

If you're new to Linux-based systems or the build system in general, I recommend using Gitpod. If you opt to go that route, here's what you need to do:

- Click the "Gitpod" button above.
- If you haven't signed up for GitHub, GitLab, or Bitbucket before, follow the steps provided on Gitpod's site to set up an account.
- You should launch into a tab with a terminal window at the bottom. Wait until you see `agbcc successfully installed!` in the terminal window before continuing.
- Type "make" (without the quotes) into the terminal and press "Enter".

For more detailed compilation instructions, see [this](INSTALL.md) document.

## Usage
tumbledemerald is a Game Boy Advance game. As such, you will need an [emulator](https://mgba.io) to play. The only supported emulator is [mGBA](https://mgba.io) by endrift.

## Support
If you:

* found a bug or glitch: Create an [issue](https://gitgud.io/tbld/game/-/issues) using the Bug template.
* need a save file updated: Create an [issue](https://gitgud.io/tbld/game/-/issues) using the Save Update template.
* have an idea for a cool new feature: Create an [issue](https://gitgud.io/tbld/game/-/issues) using the Feature Request template.
* want to contact me privately: Send me an [email](mailto:brodmoran@gmail.com) or send me a direct message on [Mastodon](https://social.linux.pizza/@sataa).
* want to become a contributor: Send a merge request!

We also have a forum [here](https://tumbledforums.flarum.cloud/) if you're into that!

## Roadmap  
For the project roadmap, please check [here](ROADMAP.md).

## Contributing  
Contributions are welcome! Please make a merge request here on GitLab using the provided template.

We're currently looking for:

* someone who can work with GBA music (to add a custom song).
* documentation contributions. Our documentation could use some updates!
* Windows buildscripts.
* volunteers to build CIA packages for tumbledemerald.
* debug menu developers.
* someone with a brain the size of Jupiter to un-GNU tumbledemerald.

See [Installation](#installation) for directions on how to set up your system to compile.

`make` will usually stop you if it sees something wrong with your code. If the error is too vague, try running `make` with the `-d` argument (`make -d`). However, the only way to be completely certain is to test.

## Notes
By default, tumbledemerald does not include Wireless Adapter support. See [this script](https://gitgud.io/tbld/scripts/-/blob/main/enable_rfu.sh) to re-enable this (for playing on a Game Boy Advance flashcart, for example.)

## Authors and acknowledgment
Lead developers: Supersonic and Werewolf  
CIA packages: Supersonic and SanicConnoissuer_91  
Prebuilt ROMS: Supersonic, creepyguy256, and SanicConnoissuer_91  
Features: ghoulslash, Supersonic, dunsparce9, AsparagusEduardo, surskitty, DizzyEgggg, Ketsuban (if I forgot you, please let me know!)  
Special thanks: SanicConnoissuer_91, Werewolf, creepyguy256, pret, Nintendo Co, Ltd., GAME FREAK, inc., Creatures, inc., and you!.

## License
Due to legal reasons, tumbledemerald does not have a license. Ask ax6.

## Project status
tumbledemerald is actively developed, with a new feature about once every week, if I feel like it.
